<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Ascen
 */

get_header();
ascen_blog_banner();

?>

<!-- Blog Section Start -->
<section class="blog-section mt-60 overflow-hidden space-bottom">
	<div class="container">
		<div class="row g-4">
			<div class="col-lg-8">
				<div class="blog-left-wrap">
					
				<?php
					
					if ( have_posts() ) :
					
						/* Start the Loop */
						while ( have_posts() ) :
							the_post();

							/*
							 * Include the Post-Type-specific template for the content.
							 * If you want to override this in a child theme, then include a file
							 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
							 */
							get_template_part( 'template-parts/content', get_post_type() );

						endwhile;
					?>
					
					<div class="cus-pagination">
						<?php the_posts_pagination( array(
							'mid_size' => 2,
							'prev_text' => '<i class="fa-solid fa-chevron-left"></i>',
							'next_text' => '<i class="fa-solid fa-chevron-right"></i>',
						) ); ?>
					</div>
					<?php
					else :

						get_template_part( 'template-parts/content', 'none' );

					endif;
					
					?>	
				
				</div>
			</div>
			
			<div class="col-lg-4">
				<div class="blog-right-wrap">
					<?php get_sidebar();?>
				</div>
			</div>
		</div>
	</div>
</section>
	

<?php
get_footer();
