<?php
/**
 * Template part for displaying page content in page.php
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package ascen
 */
 
$ascen_post_tags_list = get_the_tag_list( '', esc_html__( ' ' , 'ascen' ) );

?>

<div class="blog-single-items blog-single-items-details overflow-hidden mb-30">
	<?php if(has_post_thumbnail()): ?>
	<div class="blog-thumbig w-100 mb-30">
		<?php the_post_thumbnail('ascen_blog4');?>
	</div>
	<?php endif;?>
	
	<div class="blog-content-custom">
		<ul class="mb-3">
			<li>
				<i class="fa-solid fa-calendar-days"></i>
				<?php echo get_the_time('M d, Y');?>
			</li>
			<li>
				<i class="fa-regular fa-user"></i> <?php esc_html_e('By' , 'ascen');?> <a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" ><?php echo esc_html( get_the_author() ); ?></a>
			</li>
			<li>
				<i class="fa-regular fa-comments"></i> <?php comments_popup_link( __( 'Comment (0)', 'ascen' ), __( 'Comment (1)', 'ascen' ), __( 'Comments (%)', 'ascen' ) ); ?>
			</li>
		</ul>
			
	</div>
	
	<div class="entry-content">
		<?php the_content();?>
	</div>
</div>

<?php if($ascen_post_tags_list) : ?>
<div class="details-tag mt-40 mb-40">
	<h4 class="cmn-title black mb-4">
		<?php esc_html_e('Tags' , 'ascen');?>
	</h4>
	<div class="tag-blog">
		<?php echo ascen_wp_kses($ascen_post_tags_list);?>
	</div>
</div>
<?php endif; ?>


<div class="praview-social-adjust mb-40">
	<?php the_post_navigation(
		array(
			'prev_text' => '<span class="next-pre">' . '<i class="fa-solid fa-angle-left black"></i>' . esc_html__( 'Previous post', 'ascen' ) . '</span>',
			'next_text' => '<span class="next-pre">' . esc_html__( 'Next post', 'ascen' ) . '<i class="fa-solid fa-angle-right black"></i>'. '</span>',
		)
	); ?>

	<?php ascen_social_share();?>
</div>