<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package ascen
 */

?>

<div class="blog-single-items overflow-hidden mb-60 wow fadeInUp" data-wow-delay=".2s">
	<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>	
	
		<?php if(has_post_thumbnail()): ?>
		<div class="blog-thumbig w-100">
			<?php the_post_thumbnail('ascen_blog4');?>
		</div>
		<?php endif;?>
		<div class="blog-content">
			<h4 class="mb-40">
				<a href="<?php the_permalink();?>"><?php the_title();?></a>
			</h4>
			<a href="<?php the_permalink();?>"
				class="theme-btn theme-btn-2 d-inline-flex align-items-center gap-2">
				<?php echo esc_html__("Read More" , "ascen");?>
			</a>
			<ul>
				<li>
					<i class="fa-solid fa-calendar-days"></i>
					<?php echo get_the_time('M d, Y');?>
				</li>
				<li>
					<i class="fa-regular fa-user"></i> <?php esc_html_e('By' , 'ascen');?> <a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>"><?php echo esc_html( get_the_author() ); ?></a>
				</li>
				<li>
					<i class="fa-regular fa-comments"></i> <?php comments_popup_link( __( 'Comment (0)', 'ascen' ), __( 'Comment (1)', 'ascen' ), __( 'Comments (%)', 'ascen' ) ); ?>
				</li>
			</ul>
			
			<?php					
				wp_link_pages(
					array(
						'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'ascen' ),
						'after'  => '</div>',
					)
				);
			?>	
		</div>
	</div>
</div>